Drop a keyspace (HTTP)

Drops a keyspace from a database and deletes all data in that keyspace.

You need an application token with permission to interact with the target database, such as the Database Administrator role.

For more information, see Get endpoint and token.

Result

Drops the specified keyspace.

A successful request returns 204 No Content.

Parameters

Command signature
curl -sS -L -X DELETE "https://api.astra.datastax.com/v2/databases/DATABASE_ID/keyspaces/KEYSPACE_NAME" \
--header "Authorization: Bearer APPLICATION_TOKEN" \
--header "Content-Type: application/json"

The application token must have sufficient permissions to perform the requested operations, such as the Organization Administrator role.

Examples

The following examples demonstrate how to drop a keyspace.

curl -sS -L -X DELETE "https://api.astra.datastax.com/v2/databases/DATABASE_ID/keyspaces/KEYSPACE_NAME" \
  --header "Authorization: Bearer APPLICATION_TOKEN" \
  --header "Content-Type: application/json"

Was this helpful?

Give Feedback

How can we improve the documentation?

© Copyright IBM Corporation 2026 | Privacy policy | Terms of use |  Manage Privacy Choices

Apache, Apache Cassandra, Cassandra, Apache Tomcat, Tomcat, Apache Lucene, Apache Solr, Apache Hadoop, Hadoop, Apache Pulsar, Pulsar, Apache Spark, Spark, Apache TinkerPop, TinkerPop, Apache Kafka and Kafka are either registered trademarks or trademarks of the Apache Software Foundation or its subsidiaries in Canada, the United States and/or other countries. Kubernetes is the registered trademark of the Linux Foundation.

General Inquiries: Contact IBM